# Changelog

All notable changes to this project will be documented in this file.

## [0.18] - 2023-05-31
- COMP-201 Funding SOurce UI
- adding axis scale 
- Font configuration fix
- funding source data 2021
- COMP-197 vertical header
- COMP-196 report link
- UI fix footer and collapse button
- COMP-195 title and description

## [0.17] - 2023-05-24
- COMP-184 Funding Source UI upgrade
- COMP-188 Nren Name correction
- COMP-186 Fixed Graph Size
- country to nren filterbo
- Fixing side bars and banner
- Collapsible box
- clean up

## [0.16] - 2023-05-17
- COMP-143 Policy Page UI changes 
- COMP-180 Year selection UI chnages

## [0.15] - 2023-05-16
- Added sentry SDK integration using SENTRY_DSN environment variable
- Added NREN policy data
- Changed layout of tables
- Fixed colors in charging mechanism table
- Refactor to use flask-sqlalchemy and flask-migrate

## [0.14] - 2023-05-03
- Added a navigation sidebar to Organization pages

## [0.13] - 2023-05-02
- Added the staff graph pages
- Updated the filter drop down boxes
- Added the organization table pages
- Added the EC projects table page
- Changed the charging mechanism page to use a table instead of a graph
- Code quality: updated the SQLalchemy models to 2.0 syntax

## [0.12] - 2023-04-18
- Added font-face definitions (obtained from Webpack output) to support open sans font with weight 600 in Firefox

## [0.11] - 2023-04-18
- Added filtering mechanism for NRENs and years
- Added footer
- Changed navigation header to match geant.org

## [0.10] - 2023-04-12
- Added first version of the charging mechanism page

## [0.9] - 2023-03-21
- Changed survey-publisher-2022 to function with newer sqlalchemy versions
- Changed fundingsource graph to be centered
- Added funding route to index.html
- Added /funding link under /compendiumdata

## [0.8] - 2023-03-21
- Updated frontend build artifact

## [0.7] - 2023-03-21
- Fix API call URL http -> https redirect bug
- Add survey-publisher-v1
- Add survey-publisher-2022
- Add funding sources API
- Add initial funding sources frontend work

## [0.6] - 2023-02-22
- API for budget data
- Initial processing of Budget data from survey DB into presentation DB
- Created new frontend that follows visual guide by Paul

## [0.5] - 2022-12-21
- Final layout (WIP)

## [0.4] - 2022-12-06


## [0.3] - 2022-12-06


## [0.2] - 2022-11-22
 - COMP-48: Added SQLAlchemy link to the survey database, including instructions to create the database locally
 - Added additional code validation tools

## [0.1] - 2022-11-07
- Initial skeleton - First Release
- COMP-2: Prototype Data only Service Matrix
- COMP-31: Baseline React routing structure
